<template>
  <div class="accordion" role="tablist">
    <b-card no-body>
        <b-button block squared v-b-toggle.accordion-1 variant="white" class="shadow-sm">ABOUT ME</b-button>
        <b-collapse id="accordion-1" visible accordion="my-accordion" role="tabpanel">
            <b-row no-gutters>
                <b-col md="8">
                    <b-card-body>
                        <p>I’m a french systems engineer loving her craft and learning from it every day.<br/>
                        I'll happily nerd on low-level stuff and details of implementation, I do care about
                        the correctness, simplicity and efficiency of what I deliver. I'm an adept of the handmade path.</p>
                        <p>I love every animals (bnuuy <3), I'm helping at my local LGBTI center,
                        you really should donate to the Red Cross to protect the homeless.</p>
                        <p>I'm also a co-organiser of <b-link href="https://itch.io/jam/la-game-jam-des-audacieuxses-3" target="_blank">Les Audacieu.x.ses</b-link>, a french collective aiming to provide a community 
                        and professional network to people of marginalised genders. We are organising online game jams and 
                        are present on professional conventions to communicate and raise awareness on the work conditions and needs of our members.</p>
                        <p>Have a lovely day :)</p>
                    </b-card-body>
                </b-col>
                <b-col md="4" class="my-auto">
                    <b-card-img :src="images['/src/assets/lapinou.jpg'].default" alt="Image" 
                                class="p-2 d-none d-sm-block" id="pp" />
                </b-col>
            </b-row>
        </b-collapse>
    </b-card>

    <b-card no-body>
        <b-button block squared v-b-toggle.accordion-2 variant="white" class="shadow-sm"> SKILLS | EXPERIENCE</b-button>
        <b-collapse id="accordion-2" accordion="my-accordion" role="tabpanel">
            <b-card-body>
                <b-row no-gutters>
                    <b-col md="6" class="my-auto">
                        <ul>
                          <li>C# / C++ / C</li>
                          <li>PS5 SDK / GXDK / GRDK</li>
                          <li>Unity</li>
                          <li>PIX / Razor / Fiddler</li>
                          <li>Jenkins / CMD / bash</li>
                          <li>Visual Studio / nvim / GitLab / SVN / Plastic</li>
                          <li>Français / English / Svenska (grundläggande)</li>
                        </ul>
                    </b-col>
                    <b-col md="6" class="my-auto">
                        <b-row class="mb-1">
                            <b-col md="2" class="my-auto p-0">
                                <b-img center fluid :src="images['/src/assets/msp.png'].default" alt="Image" />
                            </b-col>
                            <b-col md="10" class="my-auto">
                                <p>Microids Studio Paris<br/>Systems engineer</p>
                            </b-col>
                        </b-row>
                        <b-row class="mb-1">
                            <b-col md="2" class="my-auto p-0">
                                <b-img center fluid :src="images['/src/assets/ow.png'].default" alt="Image" />
                            </b-col>
                            <b-col md="10" class="my-auto">
                                <p>OtterWays<br />Lead programmer</p>
                            </b-col>
                        </b-row>
                        <b-row>
                            <b-col md="12" class="my-auto">
                                <p>Ludus Académie - Bachelor's degree:<br />DEES Digital Technology and Multimedia</p>
                            </b-col>
                        </b-row>
                        <b-row>
                            <b-col md="12" class="my-auto">
                                <p>Exia.Cesi - Associate's degree:<br />RNCP Analyst programmer</p>
                            </b-col>
                        </b-row>
                    </b-col>
                </b-row>
                <!-- <b-button block squared v-b-toggle.certifications variant="white" class="shadow-sm">CERTIFICATIONS</b-button>
                <b-collapse id="certifications">
                    <b-row>
                        <b-col md="4" class="mb-1 pt-2 px-1">
                            <b-link href="https://www.credly.com/badges/c73924f1-721b-4352-a1f4-5ee966e7b6e8/public_url" target="_blank">
                                <b-img center rounded fluid :src="images['/src/assets/mtm-2.png'].default" alt="Image" />
                            </b-link>
                        </b-col>
                        <b-col md="4" class="mb-1 pt-2 px-1">
                            <b-link href="https://www.credly.com/badges/c73924f1-721b-4352-a1f4-5ee966e7b6e8/public_url" target="_blank">
                                <b-img center rounded fluid :src="images['/src/assets/mtm-2.png'].default" alt="Image" />
                            </b-link>
                        </b-col>
                        <b-col md="4" class="pt-2 px-1">
                            <b-link href="https://www.credly.com/badges/9d363647-e7e9-4511-a232-83a6c99edad5/public_url" target="_blank">
                                <b-img center rounded fluid :src="images['/src/assets/cbl-vscode.png'].default" alt="Image" />
                            </b-link>
                        </b-col>
                    </b-row>
                </b-collapse> -->
            </b-card-body>
        </b-collapse>
    </b-card>

    <b-card no-body>
        <b-button block squared v-b-toggle.accordion-3 variant="white" class="shadow-sm"> TALKS | INTERVIEWS</b-button>
        <b-collapse id="accordion-3" visible accordion="my-accordion" role="tabpanel">
            <b-card-body>
                <b-embed type="iframe" aspect="16by9" :src="$options.settings.IndieCo" allowfullscreen></b-embed>
            </b-card-body>
        </b-collapse>
    </b-card>
  </div>
</template>

<script>
import Images from '../images.js';
import Settings from '../settings.json';

export default {
  settings: Settings,
  created () {
    this.images = Images.AccordionImages;
  }
};
</script>

<style scoped>
  .card {
    border: 0px;
  }
    .card:not(:first-of-type) {
      border-top: 1px dotted #00000020;
    }
    .card .btn {
      border-bottom: 1px solid #00000020;
    }
      .card .btn:hover {
        background-color: floralwhite;
      }
  #pp {
    max-height:304px; 
    max-width:304px;
  }
</style>
